3dfxzone.it ~ SFFT Drivers ~ MesaFX ~ 3D-Analyze ~ 3dfx Headlines ~ 3dfx Cards ~
Home | Profile | Register | Active Topics | Members | Search | GoogleSearch | FAQ | 3dfxzone.it
Username:
Password:
Save Password
Forgot your Password?

 Index
 3dfx Hardware & Software
 General Discussions
 Argument for Banshee support
 New Topic  Reply to Topic
 Print topic

Author Previous Topic Topic Next Topic  

PHOENIX
Initiate

France


66 Posts

Posted - 22/09/2003 :  12:51:49  Show Profile  Visit PHOENIX's Homepage  Reply with Quote
Hello,

I appreciate your efforts for Voodoo3/4/5. But what about Voodoo1, Rush, Voodoo2 and Banshee ? Well, I think Voodoo 2 and Banshee should still be worth of support. I am glad that driver FastVoodoo2 3.0 XP exists. Howewer you seem to forget Banshee users. Therefore I hope you will add Banshee support soon.

Related to this, I wanna share with you my knowledge about Banshee/Voodoo3.

Under Glide/OpenGL, if you set FX_GLIDE_DEVICEID=5 and FX_GLIDE_NUM_TMU=1, basically you've got a Voodoo3 1 TMU and... it works fine on Banshee ! If I only set FX_GLIDE_DEVICEID=5 and I play/benchmark Quake3, some screen areas remain black.

Now the big question : wouldn't it be possible to use Voodoo3 D3D code on Banshee, if we force V3 to use only one TMU ? If it works with Glide/OpenGL, it should work with Direct3D.

MojoMotion, Raziel64 and myself as the whole community of 3dfx Banshee users around the world would appreciate new Windows 9x/XP drivers. Thanks in advance.

Best regards.

Glide
Web Admin

Napoli


24454 Posts

Posted - 22/09/2003 :  15:05:00  Show Profile  Visit Glide's Homepage  Reply with Quote
Voodoo1

With Win9X/ME OS all the cards that we indicate with Voodoo1 are supported by reference drivers until hardware limits of these.

Writing 2K/XP drivers for this card is very hard and little intelligent because:

1)The architecture of the board is designed for MS Windows 95/98 systems.
2)Now there are little users with Voodoo1 in pci bus: so we prefer working to be happy more people like Voodoo3/4/5 users


Voodoo2

3dfx Voodoo2 and 3dfx Voodoo2 in SLI are fully supported by this site . During 3dfxzone life we have put on line many Voodoo2 drivers for any MS OS (i.e. these: FV2 1.0, 1.5, 2.0, 2.5, 3.0, 3.0 XP)

Current versions of FastVoodoo2 drivers are:

- FastVoodoo2 3.5 for Windows 95/98/ME and Direct3D/OpenGL/GLide support

- FastVoodoo2 3.0 XP for Windows 2k/XP and OpenGL/GLide support. At this moment we all unfortunately cannot run D3D games with Voodoo2 and NT platform.

FastVoodoo2 Updates are scheduled, of course.


Banshee

I must answer for this also? You would already know...

Therefore new drivers are incoming: who would give us suggestions, tips or simply ideas does it now.

Thanks in advance.

Bye bye

3dfxzone.it | hwsetup.it | Register
Go to Top of Page

Nightbird
Moderator



1938 Posts

Posted - 22/09/2003 :  22:50:51  Show Profile  Visit Nightbird's Homepage  Send Nightbird a Yahoo! Message  Reply with Quote
About the Voodoo 1 under Win2k/XP, the driver exists already (it supports OpenGl and Glide), it was "elaborated" by Anthony Toste
The problem is the absence of control panel

__________________________________________________

Network powered by 3Dfx and AMD
__________________________________________________

Go to Top of Page

PHOENIX
Initiate

France


66 Posts

Posted - 23/09/2003 :  00:13:27  Show Profile  Visit PHOENIX's Homepage  Reply with Quote
I don't want to paint the wrong picture. I wrote this post for the developer team.

My question : is it possible to use Voodoo3 D3D code on Banshee, if we force V3 to use only one TMU ?

Regards
Go to Top of Page
  Previous Topic Topic Next Topic  
 New Topic  Reply to Topic
 Print topic
Jump To:

 

Forum Rules

Legal Info

Privacy

Contact Us

3dfxzone.it

HWSetup.it

ForumZone.it

 

All trademarks used are properties of their respective owners - Forum Graphics and Contents 2001 - 2014 3dfxzone.it - Forum Engine Snitz Forums